<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f7fafa">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimary"
        app:layout_constraintTop_toTopOf="parent">

        <FrameLayout
            android:id="@+id/ll_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingTop="6dp"
            android:paddingBottom="6dp"
            app:layout_constraintTop_toTopOf="parent">


            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/ivBack"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_8"
                android:padding="@dimen/dp_8"
                android:src="@drawable/icon_return_w" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/photo_compression"
                android:textColor="@color/white"
                android:textSize="20sp"
                android:textStyle="bold" />

        </FrameLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/ll_photo"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="12dp"
        android:orientation="horizontal"
        android:paddingHorizontal="12dp"
        android:paddingVertical="12dp"
        app:layout_constraintBottom_toTopOf="@id/cl_compress"
        app:layout_constraintTop_toBottomOf="@id/cl_top"
        app:layout_constraintVertical_weight="1">

        <androidx.cardview.widget.CardView
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginStart="4dp"
            android:layout_marginTop="4dp"
            android:layout_marginEnd="4dp"
            android:layout_marginBottom="4dp"
            android:layout_weight="1"
            android:elevation="2dp"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="12dp"
            app:cardElevation="2dp"
            app:layout_constraintDimensionRatio="2,3">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_margin="2dp">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_original_image"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:scaleType="centerCrop"
                    android:src="@mipmap/logo"
                    app:layout_constraintTop_toTopOf="parent" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="14dp"
                    android:src="@drawable/img_before_photo"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:ignore="ImageContrastCheck" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_original_size"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shadow_background"
                    android:paddingVertical="9dp"
                    android:text="12.63MB"
                    android:textAlignment="center"
                    android:textColor="@color/white"
                    android:textSize="14sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    tools:ignore="HardcodedText" />
            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginStart="4dp"
            android:layout_marginTop="4dp"
            android:layout_marginEnd="4dp"
            android:layout_marginBottom="4dp"
            android:layout_weight="1"
            android:elevation="2dp"
            android:padding="10dp"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="12dp"
            app:cardElevation="2dp"
            app:layout_constraintDimensionRatio="2,3">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_margin="2dp">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_compress_image"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:scaleType="centerCrop"
                    android:src="@mipmap/logo" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="14dp"
                    android:src="@drawable/img_after_photo"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:ignore="ImageContrastCheck" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_compress_size"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shadow_background"
                    android:paddingVertical="9dp"
                    android:text="12.63MB"
                    android:textAlignment="center"
                    android:textColor="@color/white"
                    android:textSize="14sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    tools:ignore="HardcodedText" />
            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.cardview.widget.CardView>

    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_compress"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/ll_photo"
        app:layout_constraintVertical_weight="1.2">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_photo"
            android:layout_width="match_parent"
            android:layout_height="80dp"
            android:layout_marginTop="20dp"
            android:scrollbars="none"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_count"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:gravity="center"
            android:orientation="horizontal"
            app:layout_constraintTop_toBottomOf="@id/rv_photo">

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="("
                android:textColor="@color/color_666666"
                android:textSize="14sp"
                tools:ignore="HardcodedText" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_current_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="1"
                android:textColor="#2962FF"
                android:textSize="14sp"
                tools:ignore="HardcodedText" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="/"
                android:textColor="@color/color_666666"
                android:textSize="14sp"
                tools:ignore="HardcodedText" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_total_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="179"
                android:textColor="@color/color_666666"
                android:textSize="14sp"
                tools:ignore="HardcodedText" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text=")"
                android:textColor="@color/color_666666"
                android:textSize="14sp"
                tools:ignore="HardcodedText" />

        </androidx.appcompat.widget.LinearLayoutCompat>

        <com.base.appzxhy.ui.photocompression.TripleSeekBar
            android:id="@+id/view_triple"
            android:layout_width="match_parent"
            android:layout_height="20dp"
            android:layout_marginTop="20dp"
            android:paddingHorizontal="12dp"
            app:default_color="@color/color_d9d9d9"
            app:layout_constraintTop_toBottomOf="@id/ll_count"
            app:line_height="4dp"
            app:selected_color="@color/colorPrimary"
            app:width="10dp"
            tools:ignore="TextSizeCheck" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_triple"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="16dp"
            android:layout_marginTop="8dp"
            android:orientation="horizontal"
            app:layout_constraintTop_toBottomOf="@id/view_triple">

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/best_quality_photo"
                android:textAlignment="center"
                android:textColor="@color/color_666666"
                android:textSize="12sp" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/normal"
                android:textAlignment="center"
                android:textColor="@color/color_666666"
                android:textSize="12sp" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/most_space_saved"
                android:textAlignment="center"
                android:textColor="@color/color_666666"
                android:textSize="12sp" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <TextView
            android:id="@+id/tv_compress_all"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="30dp"
            android:background="@drawable/bg_btn_90"
            android:paddingVertical="12dp"
            android:text="@string/compress_all"
            android:textAlignment="center"
            android:textColor="@color/white"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toTopOf="@id/flAd"
            app:layout_constraintTop_toBottomOf="@id/ll_triple" />

        <com.base.appzxhy.business.ads.NativeParentView
            android:id="@+id/flAd"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent">

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:src="@drawable/zhanwei1"
                tools:ignore="ImageContrastCheck" />

        </com.base.appzxhy.business.ads.NativeParentView>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <include
        android:id="@+id/layout_animation"
        layout="@layout/layout_animation"
        android:visibility="gone" />

</androidx.constraintlayout.widget.ConstraintLayout>